package com.palmnest.webapp.quartz;

import com.palmnest.service.dinner.service.PlaceAnOrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;
//定时推送短信消息给用户 前一天是周末或者节假日，今天是工作日，今天就会给相应的用户推短信订餐消息；
@Slf4j
@Component("orderDinnerPushMessageTimerTask")
public class OrderDinnerPushMessageTimerTask {


	@Autowired
	private PlaceAnOrderService placeAnOrderService;

	private void run() {
		log.info("quartz into OrderDinnerPushMessageTimerTask start ..." + new Date());
		placeAnOrderService.sendMessageByOrgSet("", "");
		log.info("quartz into OrderDinnerPushMessageTimerTask end ...");
	}
}
